rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Enumerations | Functions | Variables
rpmte.h File Reference
RPMTS Transaction Set API. | RPMTE Transaction Element API.

Structures used for an "rpmte" transaction element. More...

`#include <rpmfi.h>`
Include dependency graph for rpmte.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RPMTE_CHAIN_END "CHAIN END"
#define | rpmtsiFree(_tsi) ((rpmtsi)rpmioFreePoolItem((rpmioItem)(_tsi), __FUNCTION__, __FILE__, __LINE__))
#define | rpmtsiInit(_ts) XrpmtsiInit(_ts, __FILE__, __LINE__)

## Typedefs
typedef struct tsortInfo_s * | tsortInfo
| Transaction element ordering chain linkage. More...
typedef struct rpmtsi_s * | rpmtsi
| Transaction element iterator. More...
typedef enum rpmElementType_e | rpmElementType
| Transaction element type. More...

## Enumerations
enum | rpmElementType_e { TR_ADDED = (1 << 0), TR_REMOVED = (1 << 1) }
| Transaction element type. More...

## Functions
Header | rpmteHeader (rpmte te)
| Retrieve header from transaction element. More...
Header | rpmteSetHeader (rpmte te, Header h)
| Save header into transaction element. More...
rpmElementType | rpmteType (rpmte te)
| Retrieve type of transaction element. More...
const char * | rpmteN (rpmte te)
| Retrieve name string of transaction element. More...
const char * | rpmteE (rpmte te)
| Retrieve epoch string of transaction element. More...
const char * | rpmteV (rpmte te)
| Retrieve version string of transaction element. More...
const char * | rpmteR (rpmte te)
| Retrieve release string of transaction element. More...
const char * | rpmteA (rpmte te)
| Retrieve arch string of transaction element. More...
const char * | rpmteO (rpmte te)
| Retrieve os string of transaction element. More...
int | rpmteIsSource (rpmte te)
| Retrieve isSource attribute of transaction element. More...
rpmuint32_t | rpmteColor (rpmte te)
| Retrieve color bits of transaction element. More...
rpmuint32_t | rpmteSetColor (rpmte te, rpmuint32_t color)
| Set color bits of transaction element. More...
unsigned int | rpmteDBInstance (rpmte te)
| Retrieve last instance installed to the database. More...
void | rpmteSetDBInstance (rpmte te, unsigned int instance)
| Set last instance installed to the database. More...
rpmuint32_t | rpmtePkgFileSize (rpmte te)
| Retrieve size in bytes of package file. More...
rpmuint32_t * | rpmteOriginTid (rpmte te)
| Retrieve transaction start time that package was first installed. More...
rpmuint32_t * | rpmteOriginTime (rpmte te)
| Retrieve time that package was first installed. More...
int | rpmteDepth (rpmte te)
| Retrieve dependency tree depth of transaction element. More...
int | rpmteSetDepth (rpmte te, int ndepth)
| Set dependency tree depth of transaction element. More...
int | rpmteBreadth (rpmte te)
| Retrieve dependency tree breadth of transaction element. More...
int | rpmteSetBreadth (rpmte te, int nbreadth)
| Set dependency tree breadth of transaction element. More...
int | rpmteNpreds (rpmte te)
| Retrieve tsort no. More...
int | rpmteSetNpreds (rpmte te, int npreds)
| Set tsort no. More...
int | rpmteTree (rpmte te)
| Retrieve tree index of transaction element. More...
int | rpmteSetTree (rpmte te, int ntree)
| Set tree index of transaction element. More...
rpmte | rpmteParent (rpmte te)
| Retrieve parent transaction element. More...
rpmte | rpmteSetParent (rpmte te, rpmte pte)
| Set parent transaction element. More...
int | rpmteDegree (rpmte te)
| Retrieve number of children of transaction element. More...
int | rpmteSetDegree (rpmte te, int ndegree)
| Set number of children of transaction element. More...
tsortInfo | rpmteTSI (rpmte te)
| Retrieve tsort info for transaction element. More...
void | rpmteFreeTSI (rpmte te)
| Destroy tsort info of transaction element. More...
void | rpmteNewTSI (rpmte te)
| Initialize tsort info of transaction element. More...
void | rpmteCleanDS (rpmte te)
| Destroy dependency set info of transaction element. More...
int | rpmteDBOffset (rpmte te)
| Retrieve rpmdb instance of TR_REMOVED transaction element. More...
const char * | rpmteNEVR (rpmte te)
| Retrieve name-version-release string from transaction element. More...
const char * | rpmteNEVRA (rpmte te)
| Retrieve name-version-release.arch string from transaction element. More...
const char * | rpmtePkgid (rpmte te)
| Retrieve pkgid string from transaction element. More...
const char * | rpmteHdrid (rpmte te)
| Retrieve hdrid string from transaction element. More...
const char * | rpmteSourcerpm (rpmte te)
| Retrieve sourcerpm string from transaction element. More...
FD_t | rpmteFd (rpmte te)
| Retrieve file handle from transaction element. More...
fnpyKey | rpmteKey (rpmte te)
| Retrieve key from transaction element. More...
rpmds | rpmteDS (rpmte te, rpmTag tag)
| Retrieve dependency tag set from transaction element. More...
rpmfi | rpmteFI (rpmte te, rpmTag tag)
| Retrieve file info tag set from transaction element. More...
void | rpmteColorDS (rpmte te, rpmTag tag)
| Calculate transaction element dependency colors/refs from file info. More...
int | rpmteChain (rpmte p, rpmte q, Header oh, const char *msg)
| Chain p <-> q forward/backward transaction element links. More...
int | rpmtsiOc (rpmtsi tsi)
| Return transaction element index. More...
rpmtsi | rpmtsiFree (rpmtsi tsi)
| Destroy transaction element iterator. More...
rpmtsi | rpmtsiInit (rpmts ts)
| Create transaction element iterator. More...
rpmtsi | XrpmtsiInit (rpmts ts, const char *fn, unsigned int ln)
| Create transaction element iterator. More...
rpmte | rpmtsiNext (rpmtsi tsi, rpmElementType type)
| Return next transaction element of type. More...

## Variables
int | _rpmte_debug

## Detailed Description

Structures used for an "rpmte" transaction element.

Definition in file rpmte.h.

## Macro Definition Documentation

#define RPMTE_CHAIN_END "CHAIN END"

End of chain marker.

Definition at line 673 of file rpmte.h.

Referenced by findErases(), hSaveBlinks(), and hSaveFlinks().

#define rpmtsiFree | ( |  | _tsi | ) | ((rpmtsi)rpmioFreePoolItem((rpmioItem)(_tsi), __FUNCTION__, __FILE__, __LINE__))

Definition at line 692 of file rpmte.h.

#define rpmtsiInit | ( |  | _ts | ) | XrpmtsiInit(_ts, __FILE__, __LINE__)

Definition at line 715 of file rpmte.h.

## Variable Documentation

int _rpmte_debug

Definition at line 23 of file rpmte.c.